#! /bin/bash

# Copy VSCodium settings
mkdir -p ./general/configs/VSCodium/User
cp ~/.config/VSCodium/product.json ./general/configs/VSCodium/
cp -r ~/.config/VSCodium/User/snippets ./general/configs/VSCodium/User/
cp ~/.config/VSCodium/User/keybindings.json ./general/configs/VSCodium/User/
cp ~/.config/VSCodium/User/settings.json ./general/configs/VSCodium/User/
cp ~/.config/VSCodium/User/syncLocalSettings.json ./general/configs/VSCodium/User/

rm ./laptop/installedPackages.txt
pacman -Qq > ./laptop/installedPackages.txt

# copy other config files
cp -r ~/.config/hypr ./laptop/configs
cp -r ~/.config/waybar ./laptop/configs
mkdir ./laptop/configs/rofi
cp ~/.config/rofi/config.rasi ./laptop/configs/rofi/
cp -r ~/.config/wlogout ./general/configs
cp -r ~/.config/mpv ./general/configs
cp -r ~/.config/dunst ./general/configs
cp -r ~/.config/fish ./general/configs
cp -r ~/.config/rofi ./general/configs
cp -r ~/.config/yazi ./general/configs
cp -r ~/.config/kitty ./general/configs
cp -r ~/.config/Kvantum/ ./general/configs/
cp -r ~/.config/lazygit/ ./general/configs/
rm -rf ./laptop/configs/hypr/hyprland/
cp -r ~/.config/hypr/hyprland/* ./general/hyprland/

echo '=> Collected all laptop config files successfully'

echo "Also consider running nvim-collect!"
